import java.io.*;

public class Freqz {

	public static double [] calc_freqz(double [] lpc, int N) {
		Complex [] H = new Complex[N];
		Complex H_den = new Complex(0,0);
		Complex H_num = new Complex(1,0);
		double [] H_abs = new double[N];
		double w;
		
		for (int i = 0; i<N; i++) {
			w = i*(3.1415/N);
			H_den.re = 0;
			H_den.im = 0;
			for (int j = 0; j <= lpc.length - 1; j++) {
				Complex aux = new Complex(0,0);
				aux.re = lpc[j]*Math.cos(j*w);
				aux.im = lpc[j]*Math.sin(j*w);
				H_den = H_den.plus(aux);
			}
			H[i] = H_num.divides(H_den);
			H_abs[i] = H[i].abs();
		}
		
		return H_abs;
	}

}
		